#include <QPushButton>
#include <QToolBar>

#include "ARBarra.h"

ARBarra::ARBarra(QWidget *parent) : QWidget(parent)
 {
 	b1 = new QPushButton(QIcon("pic/fornitori_add.png"),tr("Nuovo\nfornitore"),this);
 	b2 = new QPushButton(QIcon("pic/fornitori_vis.png"),tr("Visualizza\nfornitori"),this);
 	b3 = new QPushButton(QIcon("pic/clienti_add.png"),tr("Nuovo\ncliente"),this);
 	b4 = new QPushButton(QIcon("pic/clienti_vis.png"),tr("Visualizza\nclienti"),this);
 	b5 = new QPushButton(QIcon("pic/magazzino_add.png"),tr("Carico\nmerce"),this);
 	b6 = new QPushButton(QIcon("pic/magazzino.png"),tr("Visualizza\nmagazzino"),this);
 	b7 = new QPushButton(QIcon("pic/ddt_add.png"),tr("Nuovo\nD.D.T."),this);
 	b8 = new QPushButton(QIcon("pic/ddt_vis.png"),tr("Visualizza\nD.D.T."),this);
 	b9 = new QPushButton(QIcon("pic/tipi_add.png"),tr("Nuova\ntipologia"),this);
 	b10= new QPushButton(QIcon("pic/tipi_vis.png"),tr("Visualizza\ntipologie"),this);
 	b11= new QPushButton(QIcon("pic/colori_add.png"),tr("Nuovo\ncolore"),this);
 	b12= new QPushButton(QIcon("pic/colori_vis.png"),tr("Visualizza\ncolori"),this);
 	b13= new QPushButton(QIcon("pic/fondi_add.png"),tr("Nuovo\nfondo"),this);
 	b14= new QPushButton(QIcon("pic/fondi_vis.png"),tr("Visualizza\nfondi"),this);
 	b15= new QPushButton(QIcon("pic/tacchi_add.png"),tr("Nuovo\ntacco"),this);
 	b16= new QPushButton(QIcon("pic/tacchi_vis.png"),tr("Visualizza\ntacchi"),this);
 	b17= new QPushButton(QIcon("pic/stagioni_add.png"),tr("Nuova\nstagione"),this);
 	b18= new QPushButton(QIcon("pic/stagioni_vis.png"),tr("Visualizza\nstagioni"),this);
 	b19= new QPushButton(QIcon("pic/fatture_add.png"),tr("Nuova\nfattura"),this);
 	b20= new QPushButton(QIcon("pic/fatture_vis.png"),tr("Visualizza\nfatture"),this);
 	b21= new QPushButton(QIcon("pic/scadenze_add.png"),tr("Nuova\nscadenza"),this);
 	b22= new QPushButton(QIcon("pic/scadenze_vis.png"),tr("Visualizza\nscadenze"),this);
 	b23= new QPushButton(QIcon("pic/servizi_add.png"),tr("Nuovo\nservizio"),this);
 	b24= new QPushButton(QIcon("pic/servizi_vis.png"),tr("Visualizza\nservizi"),this);
 	esci = new QPushButton(QIcon("pic/indietro.png"),tr("Menu\nprincipale"),this);
 	quit = new QPushButton(QIcon("pic/exit.png"),tr("Esci dal\nprogramma"),this);
  b1 ->setIconSize(QSize(32,32));
  b2 ->setIconSize(QSize(32,32));
  b3 ->setIconSize(QSize(32,32));
  b4 ->setIconSize(QSize(32,32));
  b5 ->setIconSize(QSize(32,32));
  b6 ->setIconSize(QSize(32,32));
  b7 ->setIconSize(QSize(32,32));
  b8 ->setIconSize(QSize(32,32));
  b9 ->setIconSize(QSize(32,32));
  b10->setIconSize(QSize(32,32));
  b11->setIconSize(QSize(32,32));
  b12->setIconSize(QSize(32,32));
  b13->setIconSize(QSize(32,32));
  b14->setIconSize(QSize(32,32));
  b15->setIconSize(QSize(32,32));
  b16->setIconSize(QSize(32,32));
  b17->setIconSize(QSize(32,32));
  b18->setIconSize(QSize(32,32));
  b19->setIconSize(QSize(32,32));
  b20->setIconSize(QSize(32,32));
  b21->setIconSize(QSize(32,32));
  b22->setIconSize(QSize(32,32));
  b23->setIconSize(QSize(32,32));
  b24->setIconSize(QSize(32,32));
  esci->setIconSize(QSize(32,32));
  esci->setGeometry(400,0,100,40);
  quit->setIconSize(QSize(32,32));
  quit->setGeometry(0,0,100,40);
 }

void ARBarra::sistemaBarra(QString v)
 {
 	if(v=="")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,100,60);
 	 	tool->setGeometry(100,20,5000,40);
 	 	quit->show();
 	 }
 	if(v=="azienda" || v=="statistiche")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,100,60);
 	 	tool->setGeometry(100,20,5000,40);
 	 	esci->show(); esci->setGeometry(0  ,0,100,40);
 	 }
 	if(v=="fornitori")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	 	b1->show(); b1->setGeometry(0  ,0,100,40);
 	 	b2->show(); b2->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 }
 	if(v=="clienti")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	 	b3->show(); b3->setGeometry(0  ,0,100,40);
 	 	b4->show(); b4->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="servizi")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	 	b23->show(); b23->setGeometry(0  ,0,100,40);
 	 	b24->show(); b24->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="magazzino")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b5->show(); b5->setGeometry(0  ,0,100,40);
 	 	b6->show(); b6->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="bolle")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b7->show(); b7->setGeometry(0  ,0,100,40);
 	 	b8->show(); b8->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="tipologie")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b9 ->show(); b9 ->setGeometry(0  ,0,100,40);
 	 	b10->show(); b10->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="colori")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b11->show(); b11->setGeometry(0  ,0,100,40);
 	 	b12->show(); b12->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="fondi")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b13->show(); b13->setGeometry(0  ,0,100,40);
 	 	b14->show(); b14->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="tacchi")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b15->show(); b15->setGeometry(0  ,0,100,40);
 	 	b16->show(); b16->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="stagioni")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b17->show(); b17->setGeometry(0  ,0,100,40);
 	 	b18->show(); b18->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	 
 	if(v=="fatture")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b19->show(); b19->setGeometry(0  ,0,100,40);
 	 	b20->show(); b20->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	
 	if(v=="scadenze")
 	 {
 	 	hideButtons();
 	 	setGeometry(0,20,500,60);
 	 	tool->setGeometry(500,20,5000,40);
 	  b21->show(); b21->setGeometry(0  ,0,100,40);
 	 	b22->show(); b22->setGeometry(100,0,100,40);
 	 	esci->show(); esci->setGeometry(400,0,100,40);
 	 } 	
 }

void ARBarra::hideButtons()
 {
 	b1 ->hide(); b2 ->hide(); b3->hide(); b4->hide();
 	b5 ->hide(); b6 ->hide(); b7->hide(); b8->hide();
 	b9 ->hide(); b10->hide(); b11->hide(); b12->hide();
 	b13->hide(); b14->hide(); b15->hide(); b16->hide();
 	b17->hide(); b18->hide(); b19->hide(); b20->hide();
 	b21->hide(); b22->hide(); b23->hide(); b24->hide();
 	esci->hide(); quit->hide();
 }

void ARBarra::settaTool(QToolBar *tb) { tool=tb; }
