#ifndef ARDIALOGSCADENZA_H
#define ARDIALOGSCADENZA_H

#include <QDialog>

class QPushButton;
class QLineEdit;
class QTextEdit;
class QLabel;
class QString;
class QDate;

class ARFinestra;
class ARsql;

class ARDialogScadenza : public QDialog
 {
  Q_OBJECT

  public:
   QPushButton *paga,*ignora,*ignoratutto;
   QLabel *info;

   ARDialogScadenza(QWidget *parent = 0);
   void settaPrezzo(QString,QString);
   void settaInfo(QString,QString,QString,QString,QString,QString);
   void setScadenzaID(QString);
   void setNote(QString);
   void setDescrizione(QString);
   void setSomma(QString);
   void setData(QString);
   bool isIgnora();
   bool isIgnoraTutti();
   bool isPagato();

  public slots:
   void ignoraTutti();
   void ignoraUno();
   void settaPagato();
   
  private:
   ARFinestra *mainWin;
   bool b_ignora,b_ignoratutti,b_pagato;
   ARsql *sql;
   QString scadenzaID;
   QLabel *somma,*datas;
   QLabel *_somma,*_datas,*_descrizione,*_note;
   QLineEdit *descrizione;
   QTextEdit *note;
 };

#endif
