#ifndef ARDIALOGSCARICA_H
#define ARDIALOGSCARICA_H

#include <QDialog>

class QPushButton;
class QLineEdit;
class QComboBox;
class QLabel;
class QString;
class QDate;

class ARFinestra;
class ARsql;

class ARDialogScarica : public QDialog
 {
  Q_OBJECT

  public:
   QPushButton *scarica,*annulla;
   QComboBox *listaClienti;
   QLabel *info;

   ARDialogScarica(QWidget *parent = 0);
   void settaPrezzo(QString,QString);
   void settaInfo(QString,QString,QString,QString,QString,QString);
   QString prendiPrezzo();
   QString prendiSconto();
   bool populateCli();
   QString getClienteID();

  public slots:
   void aggiornaPrezzo();
   void aggiornaSconto();
   
  private:
   ARFinestra *mainWin;
   ARsql *sql;
   QLabel *_prezzo_lis,*_sconto,*_prezzo_pub,*_cliente,*_info;
   QLineEdit *prezzo_pub,*prezzo_lis,*sconto;
 };

#endif
