#ifndef ARGRIGLIAFAT_H
#define ARGRIGLIAFAT_H

#include <QWidget>

class QTableWidget;
class QGroupBox;
class QTableWidgetItem;
class QPushButton;
class QLineEdit;
class QComboBox;
class QLabel;
class QMessageBox;
class QMenu;
class QAction;
class QContextMenuEvent;
class QDate;

class ARsql;

class ARGrigliaFat : public QWidget
 {
  Q_OBJECT

  public:
   QTableWidget *table;
   QPushButton *edit,*del,*search,*reset,*stampa;
   QLineEdit *tipologia,*scontrino,*numero;
   QAction *editCMnu,*delCMnu;
   QComboBox *listaCli;
   
   ARGrigliaFat(QWidget *parent = 0);
   void settaGeometria(int,int);
   QTableWidgetItem *inserisciRiga(QString);
   QTableWidgetItem *inserisciRiga(const char *);
   bool populateCli(QString);

  public slots:
   void visFatture(int);
   void visFatture();
   void delFatture();
   void resRicerca();

  protected:
   void contextMenuEvent(QContextMenuEvent *event);

  private:
   int num_col;
   ARsql *sql,*sql2;
   QMessageBox *infobox,*warnbox,*yesnobox;
   QGroupBox *cornice;
   QLabel *_dest,*_tipologia,*_scontrino,*_numero;

   QString quote(QString, bool like = false);
 };

#endif
