#ifndef ARDIALOGEDITALL_H
#define ARDIALOGEDITALL_H

#include <QDialog>

class QPushButton;
class QLineEdit;
class QComboBox;
class QLabel;
class QString;
class QMessageBox;
class QProgressBar;

class ARsql;

class ARDialogEditAll : public QDialog
 {
  Q_OBJECT

  public:
   QPushButton *agg_art,*agg_des,*agg_prp,*agg_pre,*agg_iva,*agg_sco,*agg_for,*aggiorna,*annulla,*dummy;
   QLineEdit *art,*descr,*prezzo,*prezzo_pub,*iva,*sconto;
   QComboBox *listaFor;
   QMessageBox *infobox,*warnbox,*yesnobox;

   ARDialogEditAll(QWidget *parent = 0);
   void settaValori(QString,QString,QString,QString,QString,QString,QString,bool);
   void settaProgresso(int);
   void mostraProgresso(bool);
   QString getArt();
   QString getDescr();
   QString getPrezzoPub();
   QString getPrezzo();
   QString getIva();
   QString getSconto();
   QString getFornitoreID();
   bool esisteFornitore(QString);
   bool populateFor();

//  public slots:

  private:
   ARsql *sql;
   QLabel *_art,*_descr,*_prezzo,*_prezzo_pub,*_iva,*_sconto,*_for,*_msg;
   QProgressBar *progresso;
   
   QString quote(QString, bool like = false);
 };

#endif
