#ifndef ARDIALOGINFO_H
#define ARDIALOGINFO_H

#include <QDialog>

class QPushButton;
class QLabel;
class QString;
class QTextDocument;
class QTextEdit;
class QFile;
class QTextStream;
class QPainter;
class QPixmap;

class ARDialogInfo : public QDialog
 {
  Q_OBJECT

  public:
   QPushButton *ok,*lic,*auth,*hist;

   ARDialogInfo(QWidget *parent = 0);

  public slots:
   void setLic();
   void setAuth();
   void setHist(); 

  protected:
   void paintEvent(QPaintEvent *);
   
  private:
   QPainter *tela;
   QLabel *_titolo,*_titolo1;
   QTextDocument *documento;
   QTextEdit *testo;
   QPixmap *pix;

   void setTextFile(QString);
 };

#endif
