#include <QPushButton>
#include <QLineEdit>
#include <QLabel>
#include <QString>
#include <QComboBox>

#include "ARsql.h"

#include "ARDialogNumero.h"

ARDialogNumero::ARDialogNumero(QWidget *parent) : QDialog(parent)
 {
  sql = new ARsql(this);
  setWindowTitle(tr("Numero documento"));  

  _msg1 = new QLabel("",this);
  _msg1->setGeometry(5,0,350,24);
  _msg2 = new QLabel(tr("da che numero si vuole iniziare il conteggio?"),this);
  _msg2->setGeometry(10,20,350,24);
  _numero = new QLabel(tr("Documento numero"),this); _numero->setGeometry( 10,45,150,24);
  numero  = new QLineEdit("",this);                  numero->setGeometry (130,45,200,24);
  numero->setValidator(new QIntValidator(1,50000000,numero));

  accetta = new QPushButton(QIcon("pic/ok.png"),tr("Ok"),this);
  accetta->setGeometry(10,85,96,30);
  connect(accetta,SIGNAL(clicked()),this,SLOT(accept()));

  setWindowFlags(Qt::Window | Qt::MSWindowsFixedSizeDialogHint | Qt::WindowTitleHint);
  setGeometry(200,200,400,120);
 }

void ARDialogNumero::settaNumero(QString numero) { this->numero->setText(numero); }

QString ARDialogNumero::prendiNumero() { return numero->text(); }

void ARDialogNumero::clearForm(QString anno)
 {
  _msg1->setText(tr("E' il primo documento per l'anno <b>")+anno+tr("</b>,"));
  numero->setText("1");
  numero->setFocus();
 }
