#ifndef ARDIALOGSETUP_H
#define ARDIALOGSETUP_H

#include <QDialog>

class QPushButton;
class QLineEdit;
class QLabel;
class QString;
class QIntValidator;

class ARDialogSetup : public QDialog
 {
  Q_OBJECT

  public:
   ARDialogSetup(QWidget *parent = 0);
   void setServerAddr(QString);
   void setServerPort(QString);
   void setUserLog(QString);
   void setUserPwd(QString);
   void setDbName(QString);
   QString getServerAddr();
   QString getServerPort();
   QString getUserLog();
   QString getUserPwd();
   QString getDbName();
   QPushButton *scarica,*annulla;

//  public slots:

  private:
   QLabel *_server_addr,*_server_port,*_user_log,*_user_pwd,*_db_name;
   QLineEdit *server_addr,*server_port,*user_log,*user_pwd,*db_name;
 };

#endif
